/services/email/v1/webmail/send
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
mailbox_id |
integer | Yes | ||
to |
string[] | Yes | ||
cc |
array|null | No | ||
bcc |
array|null | No | ||
subject |
string|null
max: 300 |
No | ||
html |
string|null
max: 1000000 |
No | ||
text |
string|null
max: 1000000 |
No | ||
draft_id |
string|null
max: 100 |
No |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/email/v1/webmail/send" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"mailbox_id": 0,
"to": [],
"cc": "string",
"bcc": "string",
"subject": "string",
"html": "string",
"text": "string",
"draft_id": "string"
}'
fetch('https://api.wemasy.nl/api/services/email/v1/webmail/send', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"mailbox_id": 0,
"to": [],
"cc": "string",
"bcc": "string",
"subject": "string",
"html": "string",
"text": "string",
"draft_id": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/email/v1/webmail/send', {
"mailbox_id": 0,
"to": [],
"cc": "string",
"bcc": "string",
"subject": "string",
"html": "string",
"text": "string",
"draft_id": "string"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"mailbox_id": 0,
"to": [],
"cc": "string",
"bcc": "string",
"subject": "string",
"html": "string",
"text": "string",
"draft_id": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/email/v1/webmail/send", headers=headers, json=data)
print(r.json())